Import("geom.Rectangle");
Import("net.SharedObject");

var Preferences={
	so: SharedObject.getLocal("settings", "/"),
	
	set: function(name, value) {
		this.so.data[name] = value;
		this.so.flush();
	},
	
	get: function(name) {
		//trace("Getting "+name);
		if (this.so.data[name] == undefined){
			this.so.data[name]=this[name];
		}
		return this.so.data[name];
	},
	getd: function(name, defaultValue) {
		//trace("Getting "+name);
		if (this.so.data[name] == undefined){
			this.so.data[name]=defaultValue;
		}
		return this.so.data[name];
	},
	
	//Web Params
	WebURL: "http://www.toodledo.com/",
	WebBounds: new Rectangle(10,10,1024,768), //x,y,w,h
	
	//Web Slim Params
	WebSlimURL: "http://www.toodledo.com/slim/",
	WebSlimBounds: new Rectangle(400,100,300,700),//x,y,w,h
	
	AlwaysOnTop: true,
	
	end: true

};

